package net.sf.doolin.template;

import java.util.List;

/**
 * Teimport java.util.List; e.
 * 
 * @author Damien Coraboeuf
 */
public interface TemplateManager {

	/**
	 * Gets an engine instance using its name
	 * 
	 * @param engine
	 *            Engine name
	 * @return Engine
	 */
	TemplateEngine getTemplateEngine(String engine);

	/**
	 * Gets the list of available engine
	 * 
	 * @return List of engine names
	 */
	List<String> getTemplateEngineNames();

}
